Bug 112579 - redzone reducation for kernel stack overflow
redzone reducation for kernel stack overflow
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Rik van Riel
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-23 10:28 EST by sheryl sage
Modified: 2007-11-30 17:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-08 10:36:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sheryl sage 2003-12-23 10:28:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Request to backport redzone threshold change from rhel 3 to 2.1.  
Reduces the redzone from 2-1K.

Version-Release number of selected component (if applicable):
2.4.21

How reproducible:
Sometimes

Steps to Reproduce:
1.  Large enterprise configurations
2.
3.
    

Actual Results:  Messages fill up the console warning the user of a 
pending stack overflow before it is needed.

Additional info:
Comment 1 Jason Baron 2003-12-23 11:20:38 EST
Although the U3 kernel still has the stack overflow warning messages,
we did a lot to reduce stack usage. its certainly worth verifying
whether or not the latest errata kernel still exhibits this behavior.
The kernel is e.34.
Comment 2 sheryl sage 2003-12-23 12:46:38 EST
Any specifics on what was done?  As you might know it is hard to 
reproduce this environment, and if I suggest to a customer to update, 
they will want to know what was done to impact the stack situation?

thanks,
Sheryl  

Comment 3 Jason Baron 2003-12-23 15:16:55 EST
Changes included: compiler changes, the addition of an irqbalance
daemon, as well as reductions in certain kernel functions.
Comment 5 Don Howard 2004-01-14 03:20:44 EST
Same deal as BZ 112577 - this issue has been corrected in QU3.
Removing from the Blocker list.  We can consider this request if
veritas can demonstrate a need with current kernels.
Comment 6 Rik van Riel 2004-06-08 10:36:30 EDT
Was made tunable in the softirq defer patch.

Note You need to log in before you can comment on or make changes to this bug.